version: "2.1"
services:
  calibre:
    image: lscr.io/linuxserver/calibre:latest
    container_name: calibre
    security_opt:
      - seccomp:unconfined #optional
    environment:
      - PUID=2000
      - PGID=2000
      - TZ=America/Los_Angeles
      - PASSWORD= #optional
      - CLI_ARGS= #optional
    volumes:
      - /mnt/books/calibre:/config
    ports:
      - 8082:8080
      - 8181:8181
      - 8281:8081
    restart: unless-stopped
    labels:
      - homepage.group=Media
      - homepage.name=Calibre
      - homepage.icon=mdi-bookshelf
      - homepage.description=EBook Server (esh)
      - homepage.href=http://10.0.50.45:8082
    networks:
      - tnet
networks:
  tnet:
    name: traefik-net
    external: true
